Package org.eclipse.gef.mvc.fx.operations

## Class RemoveContentChildOperation

- java.lang.Object
- - org.eclipse.core.commands.operations.AbstractOperation
  - - org.eclipse.gef.mvc.fx.operations.RemoveContentChildOperation

All Implemented Interfaces:
  `IUndoableOperation`, `ITransactionalOperation`

    public class RemoveContentChildOperation
    extends AbstractOperation
    implements ITransactionalOperation

The `RemoveContentChildOperation` uses the `IContentPart` API to remove a content object from an `IContentPart`.

### Constructor Summary

Constructors
`RemoveContentChildOperation​(IContentPart<? extends javafx.scene.Node> parent, java.lang.Object contentChild)` Creates a new `RemoveContentChildOperation` for removing the given contentChild `Object` from the content children of the given parent `IContentPart`.

### Method Summary

All Methods Instance Methods Concrete Methods
`IStatus` `execute​(IProgressMonitor monitor, IAdaptable info)`
`boolean` `isContentRelevant()` Returns `true` if this `ITransactionalOperation` is actually changing model data (instead of only affecting the visualization).
`boolean` `isNoOp()` Returns `true` if this `ITransactionalOperation` has no effect (in comparison to its initial state).
`IStatus` `redo​(IProgressMonitor monitor, IAdaptable info)`
`IStatus` `undo​(IProgressMonitor monitor, IAdaptable info)`

### Methods inherited from class org.eclipse.core.commands.operations.AbstractOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext, setLabel, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.commands.operations.IUndoableOperation

`addContext, canExecute, canRedo, canUndo, dispose, getContexts, getLabel, hasContext, removeContext`

### Constructor Detail

#### RemoveContentChildOperation

    public RemoveContentChildOperation​(IContentPart<? extends javafx.scene.Node> parent,
                                       java.lang.Object contentChild)

Creates a new `RemoveContentChildOperation` for removing the given contentChild `Object` from the content children of the given parent `IContentPart`.

Parameters:
  `parent` - The `IContentPart` from which a content child is to be removed.
  `contentChild` - The content `Object` which is to be removed from the content children of the parent.

### Method Detail

#### execute

    public IStatus execute​(IProgressMonitor monitor,
                           IAdaptable info)
                    throws ExecutionException

Specified by:
  `execute` in interface `IUndoableOperation`
Specified by:
  `execute` in class `AbstractOperation`
Throws:
  `ExecutionException`

#### isContentRelevant

    public boolean isContentRelevant()

Description copied from interface: `ITransactionalOperation`
Returns `true` if this `ITransactionalOperation` is actually changing model data (instead of only affecting the visualization). Otherwise returns `false`. The content relevance of an `ITransactionalOperation` can be checked to determine if the execution of the operation will affect the model, for example, to set an editor's dirty flag.

Specified by:
  `isContentRelevant` in interface `ITransactionalOperation`
Returns:
  `true` if this `ITransactionalOperation` is actually changing model data, otherwise `false`.

#### isNoOp

    public boolean isNoOp()

Description copied from interface: `ITransactionalOperation`
Returns `true` if this `ITransactionalOperation` has no effect (in comparison to its initial state). Otherwise returns `false`.

Specified by:
  `isNoOp` in interface `ITransactionalOperation`
Returns:
  `true` if this `ITransactionalOperation` has no effect, otherwise `false`.

#### redo

    public IStatus redo​(IProgressMonitor monitor,
                        IAdaptable info)
                 throws ExecutionException

Specified by:
  `redo` in interface `IUndoableOperation`
Specified by:
  `redo` in class `AbstractOperation`
Throws:
  `ExecutionException`

#### undo

    public IStatus undo​(IProgressMonitor monitor,
                        IAdaptable info)
                 throws ExecutionException

Specified by:
  `undo` in interface `IUndoableOperation`
Specified by:
  `undo` in class `AbstractOperation`
Throws:
  `ExecutionException`